.cookie-banner {
  position: fixed;
  z-index: 100;

  bottom: 0;
  left: 0;

  width: 100%;
  background-color: #f7f7f7;
  box-shadow: 0px -2px 10px rgba(0, 0, 0, 0.1);

  transform: translatey(100%);
  transition: transform 350ms ease-in-out;
}

.cookie-banner.show {
  transform: translatey(0%);
}

.cookie-banner .container {
  max-width: 1280px;
  width: 100%;
  margin: auto;
}

.cookie-banner__wrap {
  padding: 25px;
}

.cookie-banner__content {
  display: flex;
  align-items: center;
  flex-direction: column;
  text-align: center;
}

.cookie-banner__content-title {
  max-width: 670px;
  width: 100%;
}

.cookie-banner__content-title p {
  margin-bottom: 15px;
}

.cookie-banner__content-btn {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.cookie-banner__content-btn button {
  padding: 10px 25px;
  max-width: 100%;
  width: 100%;
  display: block;
  text-align: center;
  position: relative;
  color: #fff;
  background-color: #007c29;
  background: linear-gradient(to right, #007c29 50%, #00a451 50%);
  background-size: 205% 100%;
  background-position: right bottom;
  transition: 0.3s;
  transition-timing-function: ease;
}

.cookie-banner__content-btn button:not(:last-child) {
  margin-right: 0px;
  margin-bottom: 15px;
  font-family: 'Montserrat-Light', sans-serif;
  position: relative;
  color: #221f1f;
  font-size: 1.11em;
  padding: 10px 25px;
  border: none;
  border-radius: 0;
  background: linear-gradient(to right, #4a4a4a 50%, #eaeaea 50%);
  background-size: 205% 100%;
  background-position: right bottom;
  transition: 0.3s;
  transition-timing-function: ease;
  display: flex;
  align-items: center;
  justify-content: center;
}

.cookie-banner__content-btn button:hover:first-child {
  background-position: left bottom;
  color: #fff;
}

.cookie-banner__content-btn button:hover:last-child {
  background-position: left bottom;
}

@media (min-width: 641px) {
  .cookie-banner__content {
    justify-content: center;
    flex-direction: column;
    text-align: center;
  }

  .cookie-banner__content-btn button {
    width: initial;
  }

  .cookie-banner__content-btn button:not(:last-child) {
    margin-right: 15px;
    margin-bottom: 0px;
  }
}

@media (min-width: 1025px) {
  .cookie-banner__content {
    text-align: left;
    justify-content: space-between;
    flex-direction: initial;
  }

  .cookie-banner__content-title {
    width: 65%;
  }

  .cookie-banner__content-title p {
    margin-bottom: 0px;
  }
}